WizardStepType (VRE Definition Portlet 4.4.0-3.11.0-125802 API)
Date: 2016-05-12

org.gcube.portlets.admin.vredefinition.client.model

## Enum WizardStepType

- java.lang.Object
- - java.lang.Enum<WizardStepType>
  - - org.gcube.portlets.admin.vredefinition.client.model.WizardStepType

- All Implemented Interfaces:
    Serializable, Comparable<WizardStepType>

      public enum WizardStepType
      extends Enum<WizardStepType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `VREDefinitionEnd`
    `VREDefinitionStart`
    `VREDescription`
    `VREFunctionalities`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WizardStepType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WizardStepType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VREDefinitionStart

          public static final WizardStepType VREDefinitionStart

    - #### VREDescription

          public static final WizardStepType VREDescription

    - #### VREFunctionalities

          public static final WizardStepType VREFunctionalities

    - #### VREDefinitionEnd

          public static final WizardStepType VREDefinitionEnd

  - ### Method Detail

    - #### values

          public static WizardStepType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WizardStepType c : WizardStepType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WizardStepType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016. All Rights Reserved.